Configuring Linux
Comments 45
+9
Подал заявку. Надеюсь дискриминации по отношению к пользователям дистрибутивов отличным от Убунту не будет…
-2
Я думаю, что скоре будет дискриминация по отношению к пользователем дистрибутива ubuntu, т.к.: их, во первых, большинство, во вторых, это, в основной своей части, начинающие пользователи. А Valve хотят опытных пользователей :)
+1
В списке, где можно выбрать используемый дистр, в основном производные от Debian, большая часть остальных популярных дистров значится как «Other».
+3
Да, и по поводу игр, везде фигурируют следующие игры:

Serious Sam 3
Portal
Team Fortress 2

О L4D было просто давно известно, что они уже портированы под linux.

И самое вероятное, что мы услышим об этой новости на Ubuntu Developer Summit, во время сесси Valve, 29.10.2012 (http://summit.ubuntu.com/uds-r/meeting/21297/drew-bliss-valve/) :)
+2
Ну, у меня по сообщениям на хабе сложилось впечатление, что там 2 основных лагеря: Arch и Ubuntu
+2
Там кстати у них в обсуждениях стима очень много сообщений и от гентушников и от арчеводов. Есть вариант, что заявок от всех других дистрибутивов окажется больше чем от заявок пользователей Ubuntu — они могут быть просто менее подкованы технически и не наткнуться на новости по поводу Бета тестирования.

Да и отклонять заявку гентушника, который уже лет 7 использует эту систему, и сам если что пересоберет пакет для нормальный работы у себя, будет как то неправильно. Т.к. тот же убунтушник у которого всего год опыта может быть сидит на каких нибудь кривых дровах без ускорения или просто не сможет дать нормальный отчет по багам Valve — он может вообще запускать программу по ярлычку не заглядывая, что программа выплевыывает в консоль.

Я думаю они наберут человек 100-500, которые будут тестить под убунтой из уже нормально собранный пакет. А всем остальным дадут бинарный пакет с универсальным инсталлером, ну либо набор «собери инсталлер сам из DEB пакета». В итоге кстати можно потом устроить конкурс и набрать людей, которые будут поддерживать Steam для других дистрибутивов, например в ауре.
0
убунтушник у которого всего год опыта может быть сидит на каких нибудь кривых дровах без ускорения
Приведите примеры таких дров.
0
Видимо, имеются в виду nouveau.
Но мне не понятно, с чего «убунтушник» должен сидеть на них — мне казалось, что убунта первым делом предлагает поставить проприетарные драйвера.
+1
Ну не знаю, если ноут с гибридной графикой, то ничего она не предлагает)
0
Кстати, не ясно почему Valve такой вариант не предусматрела, ведь самое популярное решение для современных ноутов.
0
>В итоге кстати можно потом устроить конкурс и набрать людей, которые будут поддерживать Steam для других дистрибутивов, например в ауре.

я думаю такой продукт не только в АУР попадёт, но и оф репу.
+2
Подал заявку. Ждем-с.

Если Steam для Linux выстрелит (а что у Valve не выстрелило?), то будет круто. Видеодрайверы, даже проприетарные, под Linux намного хуже, чем под Window. Например, __GL_THREADED_OPTIMIZATIONS появилась только в последней бете Nvidia, и пока только уменьшает FPS, а не увеличивает. А под Windows тот же WOW уже давным-давно в два потока GPU исполняется, даже патч какой-то был для Wine, который обеспечивал такое и в Linux. Драйвера от AMD точно не лучше. Свободные драйвера для 3D-игр практически не подходят.

У Valve есть возможность пинать производителей драйверов, чтобы те сокращали отставание Linux-драйверов от Windows с одной стороны, и выпускать новый версии своего движка, в которых есть пути обхода конкретных проблем драйвером, с другой стороны. Как-то же они сделали, чтобы L4D под Linux шустрее бегало, чем под Windows?
+1
У Valve есть возможность пинать производителей драйверов
Вообще-то, уже не первый месяц пинают:
We’ve been working with NVIDIA, AMD, and Intel to improve graphic driver performance on Linux. They have all been great to work with and have been very committed to having engineers on-site working with our engineers
blogs.valvesoftware.com/linux/faster-zombies/
+7
Свободные драйвера для 3D-игр практически не подходят.
Оптимистичное заявление в свете того, что ати, не моргнув глазом, выпилила поддержку моей карточки, которой всего 4 года — HD 4850 и которая бодро тянет все интересующие меня игры.

Очень хочется верить, что валвовцы работают именно над свободными дровами.

А вообще давно пора законодательно обязать производителей железа либо выпускать полноценные драйвера под все платформы, имеющие минимум 0.1% популярности на десктопах /цифра с потолка/ либо как минимум вовремя публиковать всю информацию, необходимую разработчикам свободных драйверов.

Нынешняя ситуация: «висит груша — нельзя скушать» «стоит железка — нельзя воспользоваться» это нонсенс.
0
Да, слышал о такой проблеме с HD 3000 и Mesa 2.x. У меня HD 4000 и Mesa 3.0, ничего не вешают. Если интересует, могу поставить mesa 2.1 и проверить с чем именно это было связано. Если начнёт вешать, то велик шанс, что в mesa 3.0 это поправили и для HD 3000.
+1
Ээээ. У mesa номер версии 9.0, и да, один из коммитов в апстриме (не вошедший в релиз) пофиксил зависания GPU ценой поплывшей геометрии.
+1
сейчас установить Wine не удаётся
Комментарии к багрепорту не читал, но осуждаю могу заметить, что летом очень даже пользовался wine на amd64. Если поломаны зависимости, может быстрее будет попробывать их самому разгрести и удалить старые пакеты, мешающие wine?
+1
В том то и дело, что убунта 12.04 свежеустановленная. В неё поставлены из стандартных репов обычные программы: firefox, dropbox, deluge, keepass и т.п. Никаких дополнительных репов не подключалось. Никаких манипуляций с пакетной системой не производилось.

Тот же «разруливатель от aptitude» предлагает сломать пол-системы. А разруливать зависимости вручную я пока не умею.

Может подскажете книгу по пакетным менеджерам? :)
0
Попробуйте playonlinux для управления версиями wine, всё равно зачастую под разные игры нужны разные версии из-за регрессий.
0
Было что-то такое в Mint 13. Разрешилось неожиданно — использованием apt-get вместо aptitude.
+1
Ээээ. Регулярно приходят обновдения на wine 1.5 из PPA разработчиков. Подключите его, может, и у вас всё заработает.
0
Используйте apt-get и всё установится, aptitude с multiarch иногда дико тупит.
0
Если бы так всё было просто…

$ sudo apt-get install wine
Reading package lists… Done
Building dependency tree
Reading state information… Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
wine: Depends: wine1.5 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
0
Сначала удалите 32-разрядные пакеты (как раз то, что вам предлагает сделать aptitude) а потом уже ставьте WINE с помощью apt-get.
Либо просто обновитесь до 12.10, там aptitude уже поддерживает multiarch.
0
Оказалось, корбиновский репозиторий, который был у меня настроен, не обновляется вот уже несколько недель.

Я переключился на другой и он успешно отдал гору обновлений за эти недели.

aptitude install wine теперь чувствует себя лучше, однако предлагает ставить как 32- так и 64-битные пакеты. Соглашаться? Правда он же ругается на конфликт 32 и 64 битных gettext, но опять же, есть такой баг.

Забить на неразрешенный gettext или без него ничего не выйдет? Алсо обязательно ли ставить 32-битные пакеты, 64 вайн не умеет запускать 32 битные проги?

Вот вывод apt-get install wine.
0
Да, с apt-get всё норм, в wine же будете гонять 32 битные штуки.
0
А как быть с этим? Мне и впредь все пакеты ставить через apt-get даже если aptitude работает нормально? Или смешивать, несмотря на то, это не рекомендуется?
+1
Там какая-то ересь, apt-get и aptitude спокойно живут вместе и почти одинаково дёргают dpkg. Если aptitude работает нормально, то можно использовать его. Но так, только apt-get и apt-cache, только хардкор =)
0
aptitude на 64 битных системах вытворяет дурку, выдавая в списке пакеты как 32 бит, так и 64. И если вы попытались поставить 32битный вайн, оно снесёт вам полсистемы и оставит пакетный менеджер в диком состоянии, так что придётся удалять поставленные левые пакеты и заменять их на 64битные.

aptitude использовать можно, но внимательно, ставя только 64битные пакеты.
0
> aptitude на 64 битных системах вытворяет дурку, выдавая в списке пакеты как 32 бит, так и 64.
И правильно делает.

> И если вы попытались поставить 32битный вайн, оно снесёт вам полсистемы
Не правда, к удалению будут предложены только 32-разрядные пакеты.

> aptitude использовать можно, но внимательно, ставя только 64битные пакеты.
Начиная с Ubuntu 12.10 проблемы совместимости aptitude с multiarch решены, и им можно пользоваться как обычно.
0
На сайте humblebundle можно скачать игры под линух, эти же игры доступны и в магазине стима. Любопытно, а они будут доступны тогда в бета-тестировании?
+1
Я думаю, логично предположить, что прочие игры будут доступны, когда Steam for Linux выйдет официально и авторам игр предложат загрузить Linux-версии.
+2
при прочтении темы поста я выглядел точно так же как и пингвин на фото и приговаривал: «стим-стим-стим… линукс-линукс-линукс… хочу-хочу-хочу...»
0
Блин, история творится на моих глазах, а я зачем-то уехал в отпуск на море! Как я мог!
Only those users with full accounts are able to leave comments. , please.